Loading...
Searching...
No Matches
osmium::id_order Struct Reference

`#include <object_comparisons.hpp>`

## Public Member Functions

bool | operator() (const object_id_type lhs, const object_id_type rhs) const noexcept

## Detailed Description

Compare two objects IDs. Order is as follows: 0 first, then negative IDs, then positive IDs, both ordered by their absolute values.

## Member Function Documentation

## operator()()

bool osmium::id_order::operator() | ( | const object_id_type | lhs,
|  | const object_id_type | rhs ) const

inlinenoexcept

The documentation for this struct was generated from the following file:

- include/osmium/osm/object_comparisons.hpp